Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001432graphvizGraph Librariespublic2008-10-08 02:322013-09-13 15:22
ReporterRyan Schmidt9 
Assigned Toerg 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSx86-OSX-10.4.11OS Version
Summary0001432: node is contained in two non-comparable clusters "cluster_1" and "cluster_1"
Description


The regression test graph b7.gv produces a confusing error message when run through fdp.



<CD>
$ fdp -v rtest/graphs/b7.gv
fdp - Graphviz version 2.21.20081007.0445 (Wed Oct 08 05:44:45 GMT 2008)
Activated plugin library: libgvplugin_pango.5.dylib
Using textlayout: textlayout:cairo
Activated plugin library: libgvplugin_neato_layout.5.dylib
Using layout: fdp:neato_layout
Activated plugin library: libgvplugin_core.5.dylib
Using render: dot:core
Using device: dot:dot:core
The plugin configuration file:
        /mp/lib/graphviz/config5
                was successfully loaded.
    render : cairo dot fig gd map ps svg tk vml vrml xdot
    layout : circo dot fdp neato nop nop1 nop2 patchwork twopi
    textlayout : textlayout
    device : canon cmap cmapx cmapx_np dia dot eps fig gd gd2 gif gv hpgl imap imap_np ismap jpe jpeg jpg mif mp pcl pdf pic plain plain-ext png ps ps2 svg svgz tk vml vmlz vrml vtx wbmp xdot xlib
    loadimage : (lib) gd gd2 gif jpe jpeg jpg png ps svg
fontname: "Times-Roman" resolved to: (ps) (PangoCairoATSUIFont) "Times New Roman 14"
layout G
layout cluster_0
layout cluster_1
xLayout tries = 9, mode = portho
Node separation: add=1 (4.000000,4.000000)
end cluster_1
xLayout tries = 9, mode = portho
Node separation: add=1 (4.000000,4.000000)
step size = 13
end cluster_0
layout cluster_1
Error: node "y" is contained in two non-comparable clusters "cluster_1" and "cluster_1"
</CD>
Additional Information
[erg] This is actually a bug in libgraph, or a bug in the input.
It appears libgraph either confuses or conflates the two clusters
called cluster_1. This appears to be correctly handled in cgraph.
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID1469
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.21.20081007.0445
Attached Files

- Relationships

-  Notes
User avatar (0000530)
erg (administrator)
2013-09-13 15:22

WIth 2.30, we have moved to cgraph, so this problem is moot.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => erg
2013-09-13 15:22 erg Note Added: 0000530
2013-09-13 15:22 erg Status acknowledged => resolved
2013-09-13 15:22 erg Resolution open => fixed
2013-09-13 15:22 erg Description Updated View Revisions
2013-09-13 15:22 erg Additional Information Updated View Revisions


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker